BitMagic-C++: bm::str_sparse_vector< CharType, BV, MAX_STR_SIZE >::const_reference Class Reference

BitMagic-C++

Public Member Functions
bm::str_sparse_vector< CharType, BV, MAX_STR_SIZE >::const_reference Class Reference
BitMagic Library » sparse_vector<>

Reference class to access elements via common [] operator. More...

`#include <bmstrsparsevec.h>`

## Public Member Functions
| const_reference (const str_sparse_vector< CharType, BV, MAX_STR_SIZE > &str_sv, size_type idx) BMNOEXCEPT
| operator const value_type * () const BMNOEXCEPT
bool | operator== (const const_reference &ref) const BMNOEXCEPT
bool | is_null () const BMNOEXCEPT

## Detailed Description

### template<typename CharType, typename BV, unsigned MAX_STR_SIZE>
class bm::str_sparse_vector< CharType, BV, MAX_STR_SIZE >::const_reference

Reference class to access elements via common [] operator.

Definition at line 94 of file bmstrsparsevec.h.

## Constructor & Destructor Documentation

## ◆ const_reference()

template<typename CharType , typename BV , unsigned MAX_STR_SIZE>

bm::str_sparse_vector< CharType, BV, MAX_STR_SIZE >::const_reference::const_reference | ( | const str_sparse_vector< CharType, BV, MAX_STR_SIZE > & | str_sv,
|  | size_type | idx
| ) |  |
| inline

Definition at line 97 of file bmstrsparsevec.h.

## Member Function Documentation

## ◆ is_null()

template<typename CharType , typename BV , unsigned MAX_STR_SIZE>

bool bm::str_sparse_vector< CharType, BV, MAX_STR_SIZE >::const_reference::is_null | ( |  | ) | const
| inline

Definition at line 110 of file bmstrsparsevec.h.

## ◆ operator const value_type *()

template<typename CharType , typename BV , unsigned MAX_STR_SIZE>

bm::str_sparse_vector< CharType, BV, MAX_STR_SIZE >::const_reference::operator const value_type * | ( |  | ) | const
| inline

Definition at line 102 of file bmstrsparsevec.h.

## ◆ operator==()

template<typename CharType , typename BV , unsigned MAX_STR_SIZE>

bool bm::str_sparse_vector< CharType, BV, MAX_STR_SIZE >::const_reference::operator== | ( | const const_reference & | ref | ) | const
| inline

Definition at line 108 of file bmstrsparsevec.h.

The documentation for this class was generated from the following file:

- bmstrsparsevec.h